openwrt安装gitolite需要的perl组件

官方文档很简单,只说了perl版本,对于openwrt这样资源很紧张的内
容可是要能省就省的啊。

以下是安装的perlbase列表:

       opkg install perlbase-essential perlbase-getopt perlbase-findbin
       perlbase-cwd perlbase-config perlbase-file perlbase-data
       perlbase-bytes perlbase-time perlbase-dynaloader
       perlbase-autoloader perlbase-xsloader perlbase-log
       perlbase-hostname perlbase-fcntl perlbase-io perlbase-symbol
       perlbase-selectsaver perlbase-errno 
       

最主要的三个是perlbase-essential,perlbase-getopt,perlbase-log,
第一个是关于语法的,第二个可以告诉你缺什么包,第三个不用说了。

还需要额外以下操作:

       opkg install coreutils-mktemp
       rm -rf /bin/mktemp
       ln -s /usr/bin/mktemp /bin/mktemp
       

原因在于busybox的mktemp不支持-u参数

发布者

rix

如果连自己都不爱自己,哪还有谁来爱你